# class Gem::StreamUI::SilentDownloadReporter

An absolutely silent download reporter.

### Public Class Methods

new(out_stream, *args) click to toggle source

The silent download reporter ignores all arguments

    # File lib/rubygems/user_interaction.rb, line 520
    def initialize(out_stream, *args)
    end

### Public Instance Methods

done() click to toggle source

The silent download reporter won’t tell you when the download is done. Because it is silent.

    # File lib/rubygems/user_interaction.rb, line 540
    def done
    end

fetch(filename, filesize) click to toggle source

The silent download reporter does not display `filename` or care about `filesize` because it is silent.

    # File lib/rubygems/user_interaction.rb, line 527
    def fetch(filename, filesize)
    end

update(current) click to toggle source

Nothing can update the silent download reporter.

    # File lib/rubygems/user_interaction.rb, line 533
    def update(current)
    end